Loading...
Searching...
No Matches
gtsam::BayesTreeOrphanWrapper< CLIQUE, typename > Class Template Reference
Inheritance diagram for gtsam::BayesTreeOrphanWrapper< CLIQUE, typename >:

## Public Member Functions

| BayesTreeOrphanWrapper (const boost::shared_ptr< CliqueType > &clique)
| Construct a new Bayes Tree Orphan Wrapper object.
void | print (const std::string &s="", const KeyFormatter &formatter=DefaultKeyFormatter) const override

## Public Attributes

boost::shared_ptr< CliqueType > | clique

## Public Types

typedef CLIQUE | CliqueType
typedef CLIQUE::ConditionalType | Base

## Constructor & Destructor Documentation

## BayesTreeOrphanWrapper()

template<class CLIQUE, typename = void>

gtsam::BayesTreeOrphanWrapper< CLIQUE, typename >::BayesTreeOrphanWrapper | ( | const boost::shared_ptr< CliqueType > & | clique | ) |

inline

Construct a new Bayes Tree Orphan Wrapper object.

This object stores parent keys in our base type factor so that eliminating those parent keys will pull this subtree into the elimination.

Parameters

  clique | Orphan clique to add for further consideration in elimination.

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/inference/BayesTree.h